On 11/12/2013 11:21 AM, Daniel P. Berrange wrote:
From: "Daniel P. Berrange" <berrange(a)redhat.com>
Create a setup.py for building libvirt python code and add
supporting files
Signed-off-by: Daniel P. Berrange <berrange(a)redhat.com>
---
+++ b/NEWS
@@ -0,0 +1,9 @@
+ Libvirt Python News
+ ===================
+
+
+Release 1.1.2
1.1.5, now.
+=============
+
+ - Split off from main libvirt package
+ - Allow to compile against multiple versions of libvirt
diff --git a/autobuild.sh b/autobuild.sh
new file mode 100755
index 0000000..35fa4fc
--- /dev/null
+++ b/autobuild.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -v
+set -e
Could be combined as 'set -ve'. But not a showstopper.
+
+: ${AUTOBUILD_INSTALL_ROOT=$HOME/builder}
+
+rm -rf MANIFEST dist build
+
+
+python setup.py sdist
+
+python setup.py build
+python setup.py test
+python setup.py install --root=$AUTOBUILD_INSTALL_ROOT
$HOME, and thus $AUTOBUILD_INSTALL_ROOT, could contain spaces (unusual
on Linux, but a bit more common on Cygwin); this should be quoted:
python setup.py install --root="$AUTOBUILD_INSTALL_ROOT"
+
+which /usr/bin/rpmbuild > /dev/null 2>&1 || exit 0
'which' isn't entirely portable, but it is likely to be present on a
decent autotester.
Overall, I'm in favor of the split, and think we still have enough time
before 1.1.5 to clean up the pieces with followup patches if we are
ready to pull the trigger.
--
Eric Blake eblake redhat com +1-919-301-3266
Libvirt virtualization library
http://libvirt.org